--Main.lua 
-- Originally created by Willby
-- Tweaked by Davinna
-- v1.2

import "DavsPlugins.InCalc"

calculator = InCalcWindow()
--calculator:SetVisible(true)

button = ToggleButton(windowSettings,calculator)

function UserCommands()
	-- Write to user the command to open GUI after close
	cmdCalc = Turbine.ShellCommand()

	function cmdCalc:Execute( command, arguments )
		
		if(calculator:IsVisible()) then
			Turbine.Shell.WriteLine(calculator.Strings["isOpen"])
		else
			calculator:SetVisible(true)
		end
	end

	Turbine.Shell.AddCommand( "calc", cmdCalc)
	
	Turbine.Shell.WriteLine(calculator.Strings["useCmdn"])
	
	--[[_test = Turbine.ShellCommand()
	function _test:Execute(command, arguments)
		Turbine.Shell.WriteLine("testing direct string \195\182ffnet")
		Turbine.Shell.WriteLine("testing stored string "..calculator.Strings["useCmdn"])
	end
	
	Turbine.Shell.AddCommand("test", _test)]]
end

plugin.GetOptionsPanel = function(self)
	return OptionsPanel
end

UserCommands()
InCalcOptionsPanel()
