
--OptionsPanel.lua
--Credit goes to Scarlim for the incredibly simple Options panel
--modified and added by Davinna
-- v1.2

function InCalcOptionsPanel()
	OptionsPanel = Turbine.UI.Control() 

	OptionsPanel:SetHeight(200) 

	
	OptionsPanel.showCalcOnStart = Turbine.UI.Lotro.CheckBox() 
	OptionsPanel.showCalcOnStart:SetParent(OptionsPanel) 
	OptionsPanel.showCalcOnStart:SetPosition(10, 10) 
	OptionsPanel.showCalcOnStart:SetWidth(300) 
	OptionsPanel.showCalcOnStart:SetText(calculator.Strings["showCalc"]) 
	OptionsPanel.showCalcOnStart:SetChecked(windowSettings.WindowShowOnStart) 
	--[[
	local showCaclTooltip = DavsPlugins.InCalc.Utils.MakeToolTip(OptionsPanel.showCalcOnStart, calculator.Strings["showCalcTooltip"])
	
	showCaclTooltip.MouseMove = function(sender, args)
	Turbine.Shell.WriteLine("move")
		showCaclTooltip:SetVisible(false)
	end--hover
	
	showCaclTooltip.MouseHover = function(sender,args)
	Turbine.Shell.WriteLine("hover")
		showCaclTooltip:SetPosition(100, 100)
		showCaclTooltip:SetVisible(true)
	end--mouse hover ]]
	
	OptionsPanel.showCalcOnStart.CheckedChanged = function(sender, args)
		windowSettings.WindowShowOnStart = OptionsPanel.showCalcOnStart:IsChecked() 
	end
	
	local minimizeCheckBox = Turbine.UI.Lotro.CheckBox() 
	minimizeCheckBox:SetParent(OptionsPanel) 
	minimizeCheckBox:SetPosition(10, 50) 
	minimizeCheckBox:SetWidth(300) 
	minimizeCheckBox:SetText(calculator.Strings["showIcon"]) 
	minimizeCheckBox:SetChecked(windowSettings.IconShowOnStart) 
	--[[
	local showIconTooltip = DavsPlugins.InCalc.Utils.MakeToolTip(minimizeCheckBox, calculator.Strings["showIconTooltip"])

	showIconTooltip.MouseMove = function(sender, args)
	Turbine.Shell.WriteLine("move")
		showIconTooltip:SetVisible(false)
	end--hover
	
	showIconTooltip.MouseHover = function(sender,args)
	Turbine.Shell.WriteLine("hover")
		showIconTooltip:SetPosition(100, 100)
		showIconTooltip:SetVisible(true)
	end--mouse hover ]]
	
	minimizeCheckBox.CheckedChanged = function(sender, args)
		windowSettings.IconShowOnStart = minimizeCheckBox:IsChecked() 
		button:SetVisible(windowSettings.IconShowOnStart and not button:IsVisible()) 
	end
	
	local opacityLabel = Turbine.UI.Label() 
	opacityLabel:SetParent(OptionsPanel) 
	opacityLabel:SetPosition(10, 100) 
	opacityLabel:SetSize(170, 16) 
	opacityLabel:SetText(calculator.Strings["iOpacity"]) 

	local opacitySlider = Turbine.UI.Lotro.ScrollBar() 
	opacitySlider:SetParent(OptionsPanel) 
	opacitySlider:SetPosition(10, 115) 
	opacitySlider:SetSize( 240, 7 ) 
	opacitySlider:SetMinimum(20) 
	opacitySlider:SetMaximum(100) 
	opacitySlider:SetValue(windowSettings.IconOpacity*100) 
	--[[
	local opacitySliderTooltip = DavsPlugins.InCalc.Utils.MakeToolTip(opacitySlider, calculator.Strings["iconSliderTooltip"])
	
	opacitySliderTooltip.MouseMove = function(sender, args)
	Turbine.Shell.WriteLine("move")
		opacitySliderTooltip:SetVisible(false)
	end--hover
	
	opacitySliderTooltip.MouseHover = function(sender,args)
	Turbine.Shell.WriteLine("hover")
		opacitySliderTooltip:SetPosition(100, 100)
		opacitySliderTooltip:SetVisible(true)
	end--mouse hover]]

	opacitySlider.ValueChanged = function(sender, args)
		windowSettings.IconOpacity = tonumber(opacitySlider:GetValue()/100) 
		button:SetOpacity(windowSettings.IconOpacity) 
	end
end
