--InCalcButton.lua
--Orignially Calculator.CustomButtons written by Willby
--Tweaked by Davinna
-- v1.2

CustomButton = class( Turbine.UI.Lotro.Button );

function CustomButton:Constructor( number )
	Turbine.UI.Button.Constructor( self );
	
	--Button properties
	self:SetBackColor( customBackColor );
	self:SetSize( 40, 40 );
	self:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
	self:SetFont( Turbine.UI.Lotro.Font.TrajanProBold30 );
	self:SetFontStyle( Turbine.UI.FontStyle.Outline );
	self:SetForeColor(customForeColor );
	self:SetText( number);

	--Click events
	self.MouseDown = function( sender, args )
		Turbine.UI.Button.SetBackColor( sender, self.halfBackColor );
	end
  
	self.MouseUp = function( sender, args )
		Turbine.UI.Button.SetBackColor( sender, self.backColor );
	end
end
  
function CustomButton:SetBackColor( color )
	Turbine.UI.Button.SetBackColor( self, color );
	self.backColor = color
	self.halfBackColor = Turbine.UI.Color( color.A, color.R / 2, color.G / 2, color.B / 2);
end
